- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# IO_GeoSet.cpp File Reference

`#include "GeoSet.h"`
`#include "osg/Notify"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/ParameterOutput"`

Include dependency graph for IO_GeoSet.cpp:

## Functions
bool | GeoSet_readLocalData (Object &obj, Input &fr)
bool | GeoSet_writeLocalData (const Object &obj, Output &fw)
bool | GeoSet_readIndexData (Input &fr, const char *IndexName, GeoSet::IndexPointer &ip, bool &useCIndex)
bool | GeoSet_writeIndexData (Output &fw, const char *IndexName, const GeoSet::IndexPointer &ip)
bool | GeoSet_matchBindingTypeStr (const char *str, GeoSet::BindingType &mode)
const char * | GeoSet_getBindingTypeStr (GeoSet::BindingType mode)
const char * | GeoSet_getInterleavedRowComposition (GeoSet::InterleaveArrayType at)
int | GeoSet_getInterleavedRowLength (GeoSet::InterleaveArrayType at)
## Variables
RegisterDotOsgWrapperProxy | g_GeoSetFuncProxy (new osg::GeoSet,"GeoSet","Object Drawable GeoSet",&GeoSet_readLocalData,&GeoSet_writeLocalData, DotOsgWrapper::READ_AND_WRITE)
RegisterDotOsgWrapperProxy | g_GeosetFuncProxy (new osg::GeoSet,"Geoset","Object Drawable Geoset",&GeoSet_readLocalData, NULL, DotOsgWrapper::READ_ONLY)

## Function Documentation

const char * GeoSet_getBindingTypeStr | ( | GeoSet::BindingType | mode | ) |

const char * GeoSet_getInterleavedRowComposition | ( | GeoSet::InterleaveArrayType | at | ) |

int GeoSet_getInterleavedRowLength | ( | GeoSet::InterleaveArrayType | at | ) |

bool GeoSet_matchBindingTypeStr | ( | const char * | str,
|  | GeoSet::BindingType & | mode
| ) |

bool GeoSet_readIndexData | ( | Input & | fr,
|  | const char * | IndexName,
|  | GeoSet::IndexPointer & | ip,
|  | bool & | useCIndex
| ) |

bool GeoSet_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool GeoSet_writeIndexData | ( | Output & | fw,
|  | const char * | IndexName,
|  | const GeoSet::IndexPointer & | ip
| ) |

bool GeoSet_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_GeosetFuncProxy(new osg::GeoSet,"Geoset","Object Drawable Geoset",&GeoSet_readLocalData, NULL, DotOsgWrapper::READ_ONLY)

RegisterDotOsgWrapperProxy g_GeoSetFuncProxy(new osg::GeoSet,"GeoSet","Object Drawable GeoSet",&GeoSet_readLocalData,&GeoSet_writeLocalData, DotOsgWrapper::READ_AND_WRITE)